# -*- coding:utf-8-unix -*-
#
# Copyright (c) 2007-2008 BBR Inc.
# This file and all modifications and/or additions are under 
# the same license as package itself.

%define datetag 20090309
%define CUPS_VER 1.2.12
%define POPPLER_VER 0.5.4

Name: opfc-pdf-filters
Version: 0.5.4
Release: 1
License: See the COPYING/LICENSE file in each package. 
Group: System Environment/Daemons
Vendor:  OpenPrinting Framework Consortium
URL:	http://opfc.sourceforge.jp/
Summary: OpenPrinting Japan - PDF filters for CUPS
Requires: cups >= %CUPS_VER
Requires: poppler >= %POPPLER_VER
Requires: lcms >= 1.16

BuildRequires: cups-devel >= %CUPS_VER
BuildRequires: poppler-devel >= %POPPLER_VER
BuildRequires: lcms-devel >= 1.16

BuildRoot: %{_tmppath}/%{name}-%{version}
Source0: pdftoopvp-%{datetag}.tgz
Source1: imagetopdf-%{datetag}.tgz
Source2: pdftopdf-%{datetag}.tgz
Source3: pdftoraster-%{datetag}.tgz

%description
CUPS filters for PDF files.
pdftopdf : pdf page layout filter
imagetopdf : translating image to pdf filter
pdftoopvp : PDF renderer for OpenPrinting Vector API drivers.
pdftoraster : pdf to cups raster filter

%prep
%setup -qc -a 1 -a 2 -a 3
(cd pdftoopvp;tar xvfz poppler-0.10.2.tar.gz)
(cd pdftoopvp/poppler-0.10.2;patch -p1 < ../cms-all-090306.patch)
(cd pdftoopvp/poppler-0.10.2;patch -p1 < ../poppler-ext.patch)

%build
(cd pdftoopvp/poppler-0.10.2;%configure;make)
(cd pdftoopvp/pdftoopvp;autoreconf --install)
(cd pdftoopvp/pdftoopvp;./configure --prefix=/usr --sysconfdir=/etc --with-poppler-source=${RPM_BUILD_DIR}/%name-%version/pdftoopvp/poppler-0.10.2;make)
(cd imagetopdf;autoreconf --install;%configure;make)
(cd pdftopdf;autoreconf --install;%configure;make)
(cd pdftoraster;autoreconf --install;%configure;make)

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd pdftoopvp/pdftoopvp;make install DESTDIR=${RPM_BUILD_ROOT})
install -d ${RPM_BUILD_ROOT}/%{_sysconfdir}
(cd imagetopdf;make install DESTDIR=${RPM_BUILD_ROOT})
(cd pdftopdf;make install DESTDIR=${RPM_BUILD_ROOT})
(cd pdftoraster;make install DESTDIR=${RPM_BUILD_ROOT})
install -d ${RPM_BUILD_ROOT}/%{_datadir}/doc/pdftoopvp
install -m 0644 pdftoopvp/pdftoopvp/README ${RPM_BUILD_ROOT}/%{_datadir}/doc/pdftoopvp/
install -m 0644 pdftoopvp/pdftoopvp/README.jp ${RPM_BUILD_ROOT}/%{_datadir}/doc/pdftoopvp/

%clean
rm -rf $RPM_BUILD_ROOT

%post
# restart CUPS if running
/etc/init.d/cups try-restart >/dev/null 2>&1
if test "$?" = "0"; then
    :
elif type service >/dev/null 2>&1; then
    service cups condrestart >/dev/null 2>&1
fi
exit 0

%postun
# restart CUPS if running
/etc/init.d/cups try-restart >/dev/null 2>&1
if test "$?" = "0"; then
    :
elif type service >/dev/null 2>&1; then
    service cups condrestart >/dev/null 2>&1
fi
exit 0

%files
%defattr(-,root,root)
%{_libdir}/cups/filter/pdftoopvp
%{_libdir}/cups/filter/imagetopdf
%{_libdir}/cups/filter/pdftopdf
%{_libdir}/cups/filter/pdftoraster
%{_datadir}/doc/imagetopdf/LICENSE.txt
%{_datadir}/doc/imagetopdf/README
%{_datadir}/doc/imagetopdf/README.jp
%{_datadir}/doc/pdftopdf/README
%{_datadir}/doc/pdftopdf/README.jp
%{_datadir}/doc/pdftoraster/README.jp
%{_datadir}/doc/pdftoraster/README
%{_datadir}/doc/pdftoopvp/README.jp
%{_datadir}/doc/pdftoopvp/README
%{_datadir}/man/man1/pdf2pdf.1.gz
%{_bindir}/pdf2pdf
%config(noreplace) %{_sysconfdir}/cups/imagetopdf.convs
%config(noreplace) %{_sysconfdir}/cups/imagetopdf.types
%config(noreplace) %{_sysconfdir}/cups/pdf.types
%config(noreplace) %{_sysconfdir}/cups/pdftopdf.convs
%config(noreplace) %{_sysconfdir}/cups/pdftoraster.convs
%config(noreplace) %{_sysconfdir}/fonts/conf.d/99pdftoopvp.conf
